// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997 - 2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	caloaldefs.h --- mapping of f90 types into corresponding C++ constructs
//
//	DESCRIPTION:
//		Types declared in caloaldefs.f90 are mapped onto corresponding
//		C++ constructs for usage in the F90/C++ glue layers.
//
//	CHANGE HISTORY:
//		UL, 2001-03-09: 1.0.0: - first version
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/caloaldefs.h,v 1.3 2004/08/04 12:18:14 rsaxton Exp $
//
#ifndef CALOALDEFS_H
#define CALOALDEFS_H

#include "common.h"
#include "f90cxx.h"

typedef struct { // must match definitions of
                 // SpacecraftAttitudeType type in caloaldefs.f90
    Double  ra, dec, apos;
} SpacecraftAttitudeType;


typedef struct { // must match definition of
				 // EquatorialDirectionType type in caloaldefs.f90
	Double ra, dec;
} EquatorialDirectionType;

#endif
