// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	test XmmOrbitSimulator
//
//	UL, Fri Jun 11 16:29:13 MET DST 1999
//

#include <iostream>
#include "Xmm.h"
#include "common.h"

int main()
{
	const double delta = 1000.;	//	1000s
	const unsigned N = UNT(2.*2.*86400./delta) + 1;

	XmmOrbitSimulator orbitSim;

	double t0 = Xmm::toTimeTag(Xmm::missionStartTime);
	for (unsigned n=0; n<N; ++n) {
		double t = n*delta;
		CartesianVector r = orbitSim.position(t+t0),
						v = orbitSim.velocity(t+t0);
		std::cout<<n<<" "<<t+t0<<" ("<<Xmm::missionStartTime + t<<") : pos="
				 <<r.x()<<"/"<<r.y()<<"/"<<r.z()<<" - vel="
				 <<v.x()<<"/"<<v.y()<<"/"<<v.z()<<std::endl;
	}

	return 0;
}
