! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
!
!   xmmf90.cc --- test class Xmm from f90
!
!   DESCRIPTION:
!       Intended to the correctness of F90 I/F to class Xmm
!
!   CHANGE HISTORY:
!       UL, 2001-07-11: 1.0.0: - first version
!
!   AUTHOR:
!       U. Lammers, Wed Jul 11 11:03:47 MET DST 2001
!
!   $Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/test/xmmf90.f90,v 1.3 2004/08/04 12:18:14 rsaxton Exp $
!  
program xmmf90test
use Xmm
use STime
use caloaldefs
    implicit none

    type(STimeHandleT)     :: t1, t2, tm, t3
    real(kind=double)      :: t
    integer                :: i

    t1 = ST_new('1997-10-23T14:15:34.123')         ! define time t1
    t2 = ST_add(t1, 10._double)                    ! t1 10 seconds later
    tm = ST_add(XMM_missionReferenceTime(), 156.1_double)
                                                   ! 156 seconds after ref
                                                   !  time
    t3 = ST_clone(t2)                              ! copy t2 to t3
    call ST_subtractFrom(t3, 10. * ST_secondsPerDay()) ! t3 10 days earlier

    write(*, *) 'difference between dates ', &
         trim(ST_toString(t2)), ' and ', trim(ST_toString(t3))
    write(*, *) 'is: ', ST_diff(t2, t3), 'seconds.'

    write(*, *) 'Modified Julian day number corresponding to ', &
        trim(ST_toString(t3)), ' is ', &
        ST_julianDayFull(ST_modifiedJulianDay(t3))

    write(*, *) 'Mission reference STime is: ', &
        trim(ST_toString(XMM_missionReferenceTime()))

    write(*, *) '10.3 seconds later is ', &
        trim(ST_toString(ST_add(XMM_missionReferenceTime(), 10.3_double)))

    write(*, *) 'XMM mission start time is    : ', &
        trim(ST_toString(XMM_missionStartTime()))
    write(*, *) 'XMM mission end time is      : ', &
        trim(ST_toString(XMM_missionEndTime()))

    write(*, *) 'The current time is ', ST_toString(ST_currentTime())

    t = 110817735.184
    write(*, *) 'MET tag ', t, '= ', &
        trim(ST_toString(ST_add(XMM_missionReferenceTime(), t)))

    do i=EMOS_CCD_FIRST, EMOS_CCD_LAST
        write(*, *) 'CCD ', i, '= HBR ', ccdToHBR(i)
    enddo    

    write(*, *) 'All tests sucessfully passed'
end program




